//--------------------------------------------------------------------
// Terminal.mqh
// 
//--------------------------------------------------------------- 1 --
//   
//  :
// Mas_Ord_New[31][11]   //    
// Mas_Ord_Old[31][11]   //    ()
                        // 1  =    
                        // [][0]  
                        // [][1]  .  (..)
                        // [][2] StopLoss    (..)
                        // [][3] TakeProfit  (..)
                        // [][4]          
                        // [][5] .  . (..)
                        // [][6]  . 0=B,1=S,2=BL,3=SL,4=BS,5=SS
                        // [][7]   
                        // [][8] 0/1   
                        // [][9]   
                        // [] [10]   
// Mas_Tip[6]           //  .   
                        // []  : 0=B,1=S,2=BL,3=SL,4=BS,5=SS
//--------------------------------------------------------------- 2 --
int Terminal()
  {
   int Qnt=0;                          //   

//--------------------------------------------------------------- 3 --
   ArrayCopy(Mas_Ord_Old, Mas_Ord_New);//   
   Qnt=0;                              //   
   ArrayInitialize(Mas_Ord_New,0);     //  
   ArrayInitialize(Mas_Tip,    0);     //  
//--------------------------------------------------------------- 4 --
   for(int i=0; i<OrdersTotal(); i++) //  .  . 
     {
      if((OrderSelect(i,SELECT_BY_POS)==true)                 //  
      && (OrderSymbol()==Symbol()) && (OrderMagicNumber()==Magic)) //..   .  
        {
         //------------------------------------------------------ 5 --
         Qnt++;                                   // . 
         Mas_Ord_New[Qnt][1]=OrderOpenPrice();    //   
         Mas_Ord_New[Qnt][2]=OrderStopLoss();     //  SL
         Mas_Ord_New[Qnt][3] = OrderTakeProfit(); //      
         Mas_Ord_New[Qnt][4]=OrderTicket();       //  
         Mas_Ord_New[Qnt][5]=OrderLots();         //  
         Mas_Tip[OrderType()]++;                  // .  
         Mas_Ord_New[Qnt][6]=OrderType();         //  
         Mas_Ord_New[Qnt][7]=OrderMagicNumber();  //   
         Print(Magic);
         if (OrderComment()=="")
            Mas_Ord_New[Qnt][8]=0;                //   
         else
            Mas_Ord_New[Qnt][8]=1;                //   
         Mas_Ord_New[Qnt][9] =  OrderProfit() + OrderSwap();  //    
         Mas_Ord_New[Qnt][10]= OrderOpenTime ();  //      
            
            
            
           
         
         //------------------------------------------------------ 6 --
        }
     }
   Mas_Ord_New[0][0]=Qnt;                         // . 
   if (Mas_Tip[0]!=0 || Mas_Tip[1]!=0) Qnt_Gl = Qnt;
   
//--------------------------------------------------------------- 7 --
   return;
  }
//--------------------------------------------------------------- 8 --