//--------------------------------------------------------------------
// Lot.mqh
// 
//--------------------------------------------------------------- 1 --
//    .
//  :
// double Lots_New -      ()
// double Lots     -   ,  .
// double  MaksRisk  -  
//  :
// true  -      
// false -       
//--------------------------------------------------------------- 2 --
bool Lot(int sl)                               //  -
  {
   string Symb   =Symbol();                    //  .
   double One_Lot=MarketInfo(Symb,MODE_MARGINREQUIRED);//. 1 
   double Min_Lot=MarketInfo(Symb,MODE_MINLOT);// . . 
   double Max_Lot =MarketInfo(Symbol(),MODE_MAXLOT);
   double Step   =MarketInfo(Symb,MODE_LOTSTEP);//  
   double Free   =AccountFreeMargin();         //  
   double LotVal =MarketInfo(Symbol(),MODE_TICKVALUE);// 1   1 
   

//--------------------------------------------------------------- 3 --
   if (Lots>0)                                 //   ..
     {                                         // .. 
      double Money=Lots*One_Lot;               //  
      if(Money<=AccountFreeMargin())           //  ..
         Lots_New=Lots;                        // .. 
      else                                     //   ..
         Lots_New=MathFloor(Free/One_Lot/Step)*Step;//  
     }
//--------------------------------------------------------------- 4 --
  else                                        //    
     {                                         //    
                                               // . .:
                                               
      Lots_New =MathFloor((Free*MaxRisk/100)/(sl*LotVal)/Step)*Step;
      if(Lots_New<Min_Lot) Lots_New=Min_Lot;
      if(Lots_New>Max_Lot) Lots_New=Max_Lot;
      Print ("Lot_New  - = ",Lots_New, "sl  - = ",sl, "Point  - = ",Point);
     }
//--------------------------------------------------------------- 5 --
   if (Lots_New < Min_Lot)                     //   ..
      Lots_New=Min_Lot;                        // ..  
   if (Lots_New*One_Lot > AccountFreeMargin()) //   ..
     {                                         // .. . :(
      Inform(11,0,Min_Lot);                    // ..
      return(false);                           // ..  
     }
   return(true);                               //   . -
  }
//--------------------------------------------------------------- 6 --


