//--------------------------------------------------------------------
// Tral_Stop.mqh
//
//   2- ATR (Average True Range,   )  
//  R  ,    ATR. ..  ""  
// ATR  N   ;  -    (..   
//   ).     ,  -            
//   ,     .
//--------------------------------------------------------------- 1 --
//   StopLoss    
//  :
// Mas_Ord_New                
// int TralingStop          TralingStop( )
//--------------------------------------------------------------- 2 --
int Tral_Stop(int Tip)
  {
   int Ticket;                      //  
   double
   Price,                           //      
   SL, SL_Assistant, SL_11, SL_22,                // StopLoss (..)
   TS,                              // TralingStop (..)
   TP;                              //  TakeProfit 
   
   //double PRICE;                    //    
   bool Modify;                     //   .
   
   double prev_atr1;                // previos  ATR1
   double prev_atr2;                // previos  ATR2
   double curr_atr1;                //   ATR1
   double curr_atr2;                //   ATR2
   double best_atr_prev;            //    ATR    (2-)
   double best_atr_curr;            //    ATR    (1-)
   double atrXmul_prev;  //     ATR     , 2
   double atrXmul_curr;  //     ATR      (1-)
   double newstop;                  //  
//--------------------------------------------------------------- 3 --
   for(int i=1;i<=Mas_Ord_New[0][0];i++)  //    
     {                                    //   . 
      if (Mas_Ord_New[i][6]!=Tip)         //     ..
         continue;                        //..   
      Modify=false;                       //     
      Price =Mas_Ord_New[i][1];           //   
      SL    =Mas_Ord_New[i][2];           //  StopLoss 
      TP    =Mas_Ord_New[i][3];           //  TakeProft 
      Ticket=Mas_Ord_New[i][4];           //  
      //if (TralingStop<Level_new)          //   ..
      //   TralingStop=Level_new;           // ..  
      //   TS=TralingStop*Point;               //    ..
      //--------------------------------------------------------- 4 --
       // previos  ATR1, ATR2
   prev_atr1 = iATR(Symbol(),0,ATRPeriod_1,2);
   prev_atr2 = iATR(Symbol(),0,ATRPeriod_2,2);
       
       //   ATR1, ATR2
   curr_atr1 = iATR(Symbol(),0,ATRPeriod_1,1);
   curr_atr2 = iATR(Symbol(),0,ATRPeriod_2,1);
   
      //    ATR     
   best_atr_prev = MathMax(prev_atr1,prev_atr2); 
   best_atr_curr = MathMax(curr_atr1,curr_atr2);
   
      //    
   atrXmul_prev = best_atr_prev * Mul; 
   atrXmul_curr = best_atr_curr * Mul;    
   
   int signal_period=GetPeriod(s_signal_period);
   int trend_period=GetPeriod(t_trend_period);      
      
      switch(Tip)                         //    
        {
         //case 0 :                         //  Buy
         //      if  (NormalizeDouble(Bid - atrXmul_prev,Digits)<  //   .. 
         //    NormalizeDouble(Bid - atrXmul_curr,Digits)&& 
         //     SL < (Bid-atrXmul_curr)&& 
         //    (SL < Bid-MarketInfo(Symbol(),MODE_STOPLEVEL)*Point)) 
         //     {                           // ..  :  
         //      SL=Bid-atrXmul_curr;       //   StopLoss
               
               
         //      if (Bid-SL > Level_new*Point)
         //      Modify=true;               //   .              
         //      }
              
        //    break;                        //   switch
         case 1 :                         //  Sell
               if (NormalizeDouble(Ask + atrXmul_prev,Digits)>  //   .. 
             NormalizeDouble(Ask + atrXmul_curr,Digits) && 
             SL > (Ask + atrXmul_curr)&& 
             (SL > Ask+MarketInfo(Symbol(),MODE_STOPLEVEL)*Point)) 
              {                           // ..  :  
               SL=Ask+atrXmul_curr;       //   StopLoss
               Modify=true;               //   .              
               }
        //----------------------------------    
            case 4 :                         //  BuyStop
               if (iHigh (Symbol(),signal_period,1) < iHigh (Symbol(),signal_period,2)&& AO1>AO2)
               {                           // ..  :    
                  //    (BuyStop+indent_High),     Buy. 
         PRICE_AO = NormalizeDouble( (iHigh (Symbol(),signal_period,1) + indent_Hight*Point), Digits );//     BuyStop + _.
         if (PRICE_AO-Ask < Level_new*Point)   //        
             PRICE_AO = Ask+Level_new*Point;       //    ,  .   
         Print ("- .    BuyStop", PRICE_AO, "     = ", Ask+Level_new*Point);
         //Alert(" Level_new = ", Level_new*Point);
  
  
  // ----------   -  -        
         
         
         
        // SL = NormalizeDouble (( Teeth - indent_SL_Buy * Point),Digits);          // StopLoss   ()  
           SL = 0;
           TP=0;
         
        if (PRICE_AO-SL < Level_new*Point)       //   ..
            SL = Level_new*Point;                // ..  
            
            SL_Assistant =  (PRICE_AO-SL)/Point;  
            //Print ("Point = ", Point);
            if (Lot(SL_Assistant)==false) // o    -   -  
                                          //      , 
            return;                       //   . 
                    // ----------    ATR ---------------------------------------------------------------------------------------------------------       
     
                   //   TP = NormalizeDouble ((Price + Mul1*iATR(Symbol(), 0, ATRPeriod_3, 1)), Digits) ;      // TakeProfit ()
         
                  //    if (TP<Level_new*Point) TP=Level_new*Point;   //   ,    
         
                    //  Ticket=OrderSend(Symbol(),4,Lots_New,PRICE_AO,50,0,0,"Classi_3_screen",Magic,0,Green);   
                      //if (PRICE_AO-Ask > Level_Freeze)
                        {
                           //Print("  TP buy = ", TP);
                           Print ("-  . Modify :  ", PRICE_AO);
                           Inform(16,Tip);                        //         
                           Modify=true;                           //   .     
                       
                         } 
                   }
              
                 break;                        //   switch
         
                case 5 :                         //  SellStop
                    if (iLow (Symbol(),signal_period,1) > iLow (Symbol(),signal_period,2)) 
                    {                           // ..  :    
                      PRICE_AO = NormalizeDouble ((iLow (Symbol(),signal_period,1) - indent_Low*Point-10*Point), Digits); //     SellStop
                      if (PRICE_AO>Bid || Bid-PRICE_AO < Level_new*Point)   //        (    -)
                      PRICE_AO = Bid-Level_new*Point-10*Point;          //    ,   .   
                      Print ("- .    SellStop", PRICE_AO, "     = ", Bid-Level_new*Point);
        
                      
                      SL = 0;
                      TP=0; 
                      if (SL < Level_new*Point)                //   ..
                          SL = Level_new*Point;                // ..  
                          
                      SL_Assistant =  (SL-PRICE_AO)/Point;  
                      //Print ("Point = ", Point);
                      if (Lot(SL_Assistant)==false)                           //     . 
                      return;                                     //   .  
                     // Print("  SL sell = ", SL); 
                       
                      //TP = NormalizeDouble ((Price  - Mul1*iATR(Symbol(), 0, ATRPeriod_3, 1)), Digits);       // TakeProfit ()
                      //if (TP<Level_new*Point) TP=Level_new*Point;   //   ,   
                      //Ticket=OrderSend(Symbol(),OP_SELLSTOP,Lots_New,PRICE,5,SL,TP,"Classic_3_screen",Magic,0,Red);
                      //if (Bid - Price > Level_Freeze)
                        {
                           Print ("-  . Modify :  ", PRICE_AO);
                           Inform(16,Tip);                        //         
                           Modify=true;                           //   .              
                         }         
                     } 
              
                          
        }                                 //  switch
      if (Modify==false)                  //     ..
         continue;                        // ..    
     
     
      bool Ans=OrderModify(Ticket,PRICE_AO,0,0,0,LightSteelBlue);   // ! Price   -       . 
      //if (Ans==true) PlaySound (ModifyOrder);
      //--------------------------------------------------------- 5 --
      if (Ans==false)                     //    
        {                                 //  :
         if(Errors(GetLastError())==false)//   
            return;                       // ..  .
         i--;                             //  
        }
      Terminal();                         //    
      Events();                           //  
     }
   return;                                //   . 
  }
//--------------------------------------------------------------- 6 --